#!/usr/bin/python3

import pytest
import yaml

@pytest.fixture(scope="module")
def streaming_config():
    """Returns the service configuration deployed for the streaming test. In future this needs to be a parameterised fixture shared with other rspec.yml based tests"""
    with open("test/streaming/rspec.yml", 'r') as stream:
        data_loaded = yaml.load(stream)
    return data_loaded